## mintupgrade 2.3

=== debian/changelog ===
mintupgrade (2.3) betsy; urgency=medium

  * Fix typo preventing fallback commands from being run

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 20 Feb 2019 22:18:14 +0000

mintupgrade (2.2) betsy; urgency=medium

  * Check that unattended-upgrades is absent pre-upgrade

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 16 Oct 2018 16:28:35 +0100

mintupgrade (2.1) betsy; urgency=medium

  * Adapt configuration for LMDE 2 -> LMDE 3
  * Add package checks prior to upgrade
  * Add keyring packages to list of pkgs that have to be up to date
  * Rephrase MDM error
  * Forbid removal of important packages and warn when pkgs are kept back
  * LMDE: Install mint-info-cinnamon
  * Fix grub title via debian-system-adjustments as well
  * Disable mintsystem during the upgrade
  * Switch init system to systemd

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 31 Aug 2018 15:24:28 +0100

mintupgrade (18.3.11) sylvia; urgency=medium

  * Don't block MESA 18.0.5 anymore.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 09 Jul 2018 12:32:10 +0200

mintupgrade (18.3.10) sylvia; urgency=medium

  * Properly fail if MESA 18.0.5 is detected

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 07 Jul 2018 03:56:47 +0200

mintupgrade (18.3.9) sylvia; urgency=medium

  * Block the upgrade with MESA 18.0.5

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 07 Jul 2018 03:16:40 +0200

mintupgrade (18.3.8) sylvia; urgency=medium

  * Removals: Don't just remove, purge.
  * Purge gnome-user-share

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 06 Jul 2018 18:35:06 +0200

mintupgrade (18.3.7) sylvia; urgency=medium

  [ monsta ]
  * fix a couple of typos (#12)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 05 Jul 2018 11:54:13 +0200

mintupgrade (18.3.6) sylvia; urgency=medium

  * Add libblockdev-crypto2 to installed additions.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 04 Jul 2018 22:45:01 +0200

mintupgrade (18.3.5) sylvia; urgency=medium

  * Pre-upgrade: Suggest to reboot the computer after applying updates.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 03 Jul 2018 23:05:21 +0200

mintupgrade (18.3.4) sylvia; urgency=medium

  * Preserve /etc/fstab

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 03 Jul 2018 19:50:24 +0200

mintupgrade (18.3.3) sylvia; urgency=medium

  * Fix missing sudo in system call

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 02 Jul 2018 18:55:27 +0200

mintupgrade (18.3.2) sylvia; urgency=medium

  * Post-upgrade: Adjust GRUB title

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 02 Jul 2018 17:53:56 +0200

mintupgrade (18.3.1) sylvia; urgency=medium

  * Add the ability to try a command multiple times
  * Reduce verbosity for most apt-get commands
  * Add a space after yes_no prompts
  * Kill screensaver processes
  * Add a message to indicate the upgrade is finished.
  * Check if the DM is MDM
  * Check for /etc/timeshift.json

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 02 Jul 2018 13:56:16 +0200

mintupgrade (18.3.0) sylvia; urgency=medium

  [ PaulXiCao ]
  * removing the reseting of the .bashrc file (#9)

  [ Clement Lefebvre ]
  * Update for the 18.3 -> 19 upgrade path

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 30 Jun 2018 19:04:44 +0200

mintupgrade (17.3.11) rosa; urgency=medium

  * Use Dpkg::Options::=--force-overwrite

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 02 Aug 2016 12:08:31 +0200

mintupgrade (17.3.10) rosa; urgency=medium

  * Remove bamfdaemon before the upgrade

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 30 Jul 2016 16:30:09 +0200

mintupgrade (17.3.9) rosa; urgency=medium

  * Additions: Add mint-y theme and icons
  * Added ristretto to the list of package removals
  * Don't ask confirmation for post-upgrade steps
  * Enable upgrades for Xfce edition

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 30 Jul 2016 13:55:11 +0200

mintupgrade (17.3.8) rosa; urgency=medium

  * Removals: Remove pkgs one by one

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 13 Jul 2016 17:50:19 +0200

mintupgrade (17.3.7) rosa; urgency=medium

  * Added missing sudo call in LSB restoration step

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 13 Jul 2016 16:59:42 +0200

mintupgrade (17.3.6) rosa; urgency=medium

  * Rephrased warning about 3rd party sources
  * Re-adjust lsb-release, issue and issue.net

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 13 Jul 2016 16:42:48 +0200

mintupgrade (17.3.5) rosa; urgency=medium

  * Prepare: Only check if the system is up to date if the sources don't point to the destination.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 13 Jul 2016 10:17:38 +0200

mintupgrade (17.3.4) rosa; urgency=medium

  * Recreate ~/.bashrc
  * Prevent mintupgrade to be run as root or with sudo

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 09 Jul 2016 21:24:44 +0200

mintupgrade (17.3.3) rosa; urgency=medium

  * Update the cache and check mintupgrade version in prepare step
  * Prepare: Don't fail if user is already pointing at destination
  * Fixed typo
  * Don't fail on package removals when a package is not found

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 09 Jul 2016 18:13:12 +0200

mintupgrade (17.3.2) rosa; urgency=medium

  * Added more progress info and disabled Cinnamon/MATE screensavers

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 09 Jul 2016 17:04:26 +0200

mintupgrade (17.3.1) rosa; urgency=medium

  * Add notice when restoring the APT sources

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 09 Jul 2016 15:15:41 +0200

mintupgrade (17.3.0) rosa; urgency=low

  * Initial release

 -- Clement Lefebvre <root@linuxmint.com>  Fri,  08 Jul 2016 19:11:00 +0100

## mintupgrade 2025.10.11

=== Makefile ===
all: buildmo

buildmo:
	@echo "Building the mo files"
	# WARNING: the second sed below will only works correctly with the languages that don't contain "-"
	for file in `ls po/*.po`; do \
		lang=`echo $$file | sed 's@po/@@' | sed 's/\.po//' | sed 's/mintupgrade-//'`; \
		install -d usr/share/locale/$$lang/LC_MESSAGES/; \
		msgfmt -o usr/share/locale/$$lang/LC_MESSAGES/mintupgrade.mo $$file; \
	done \

clean:
	rm -rf usr/share/locale

## mintupgrade 17.3.11

=== debian/control ===
Source: mintupgrade
Section: admin
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5

Package: mintupgrade
Architecture: all
Depends: python3 (>= 3.3),
         perl,
         apt,
         aptitude,
         mint-common,
         mint-info,
         mintsystem,
         zenity,
         ${misc:Depends}
Description: Linux Mint Release Upgrader
 Used to upgrade to a newer release.

## mintupgrade 18.3.12

=== debian/changelog ===
mintupgrade (18.3.12) sylvia; urgency=medium

  * Fix typo preventing fallback commands from being run

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 20 Feb 2019 22:14:57 +0000

## mintupgrade 2020.03.19.1

=== debian/changelog ===
mintupgrade (2020.03.19.1) debbie; urgency=medium

  * Move back libservlet3.1-java to CHECK_ABSENT

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 19 Mar 2020 16:55:00 +0000

mintupgrade (2020.03.19) debbie; urgency=medium

  * Improve CHECK_ABSENT and CHECK_PRESENT tests
  * Remove check on MDM
  * Update pkgs in CHECK_ABSENT
  * Add checks to ensure purge of deb-multimedia.org prior to upgrade
  * Edit the error message for dmo packages
  * Add mintsystem to CHECK_UP_TO_DATE
  * Update pkg additions/removals
  * Enable APT recommends post-upgrade
  * Update APT destination sources
  * Use Pre-removal for the problematic servlet pkg
  * DMO check: Also test source pkg name
  * Restore APT sources on failure or when user wants to stop
  * Check: Run apt update twice if it fails the first time
  * Fix typo on intel-microcode pkg
  * Add missing sudo to remove APT config file
  * Remove xplayer from IMPORTANT_PACKAGES
  * Remove memtest86+
  * Reset the plymouth theme

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 19 Mar 2020 11:08:42 +0000

mintupgrade (2020.03.17) cindy; urgency=medium

  * Add package checks prior to upgrade
  * Add keyring packages to list of pkgs that have to be up to date
  * Rephrase MDM error
  * Forbid removal of important packages and warn when pkgs are kept back
  * Fix grub title via debian-system-adjustments as well
  * Disable mintsystem during the upgrade
  * Fix typo preventing fallback commands from being run
  * Prepare upgrade LMDE 3 -> LMDE 4

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 17 Mar 2020 12:15:42 +0000

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
          perl,
          apt,
          aptitude,
+         crudini,
          mint-common,
          mint-info,
          mintsystem,

## mintupgrade 2020.07.18.1

=== debian/changelog ===
mintupgrade (2020.07.18.1) tricia; urgency=medium

  * Fail on foreign packages even if they're critical

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 18 Jul 2020 17:12:43 +0100

mintupgrade (2020.07.18) tricia; urgency=medium

  [ Michael Webster ]
  * Update cache before checking for problematic packages.

  [ Clement Lefebvre ]
  * Foreign packages: Skip critical pkgs

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 17 Jul 2020 23:56:58 +0100

mintupgrade (2020.07.17.1) tricia; urgency=medium

  * Remove debug leftover

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 17 Jul 2020 17:08:19 +0100

mintupgrade (2020.07.17) tricia; urgency=medium

  * Colors: Switch yellow to orange
  * Fail if 3rd party repositories are detected
  * Detect foreign packages
  * Use apt-cache to detect 3rd party repositories

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 17 Jul 2020 14:49:07 +0100

mintupgrade (2020.07.11) tricia; urgency=medium

  * Don't crash is env doesn't have XDG_CURRENT_DESKTOP

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 11 Jul 2020 10:24:09 +0100

mintupgrade (2020.07.10) tricia; urgency=medium

  [ Michael Webster ]
  * Make sure apt sources.* are readable after restoring them.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 10 Jul 2020 16:32:37 +0100

mintupgrade (2020.07.09.2) tricia; urgency=medium

  * Preserve ownership/permissions of new table files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 09 Jul 2020 23:23:05 +0100

mintupgrade (2020.07.09.1) tricia; urgency=medium

  * Crypttab: Don't fail on empty lines

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 09 Jul 2020 23:18:42 +0100

mintupgrade (2020.07.09) tricia; urgency=medium

  [ Clement Lefebvre ]
  * Remove commented DMO checks
  * Remove commented LMDE plymouth checks
  * Remove prepare command line argument
  * Restore sources after mintupgrade download
  * restore-source: Update cache when explicitly restoring sources
  * Remove unused variable
  * Don't fail when /etc/crypttab doesn't exist
  * Disable encrypted swap before the upgrade
  * Enrypted swap: Exit on error
  * Encrypted swap: Fix non-existing backup_dir
  * Make swapoff non-fatal

  [ Michael Webster ]
  * Don't write new fstab and crypttab before we've passed all possible modifications, and fix their names.
  * Use a different method of detecting an encrypted swap path when LVM is in use.
  * Fix indentation.

  [ Clement Lefebvre ]
  * Tune pkg additions/removals

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 09 Jul 2020 09:40:28 +0100

mintupgrade (2020.07.08) tricia; urgency=medium

  [ Michael Webster ]
  * Make mkswap failing a non-fatal event.
  * Add a newline at the end of apt_destination_sources.
  * Add a missing declaration 'self.encrypted_swap'.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 08 Jul 2020 10:03:55 +0100

mintupgrade (2020.07.07) tricia; urgency=medium

  [ Clement Lefebvre ]
  * Add the origin codename to the backup path

  [ Michael Webster ]
  * Start 19.3->20 upgrade
  * formatting improvements
  * Improve prompts
  * Add support for mate, xfce
  * Capture some additional hwe packages.
  * Fix more formatting, move initial cache update before checking for mandatory packages.
  * Add a command completion message, more formatting.
  * Check that the system isn't on battery.
  * Add some post-upgrade install files.
  * Improve upgrade process explanation.
  * Don't force the user to plug in. Add os-prober to required packages.
  * add meta-mint packages to important list.
  * more important packages.
  * Add cryptsetup-initramfs and cryptsetup-run
  * Disable encrypted swap if it exists.
  * Update grub, disable with cryptsetup

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 07 Jul 2020 14:10:16 +0100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Architecture: all
 Depends: python3 (>= 3.3),
          perl,
+         acpi,
          apt,
          aptitude,
          crudini,

## mintupgrade 2022.08.13

=== debian/changelog ===
mintupgrade (2022.08.13) vanessa; urgency=medium

  [ Corey Wetherington ]
  * fix minor grammar issue (#37)

  [ Clement Lefebvre ]
  * l10n: Update POT
  * Always use dialog-info for RESULT_INFO
  * aptsources: Don't use any matching templates
  * debug: Print out repositories at the start of each phase
  * Phase 2 and 3: Ensure the repositories point to the new release
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 13 Aug 2022 12:05:51 +0200

mintupgrade (2022.08.05) vanessa; urgency=medium

  [ Clement Lefebvre ]
  * l10n: Update translations
  * l10n: Update files
  * Mint 21: Replace blueberry with blueman
  * Add Xapp thumbnailers
  * Replace gnote with sticky
  * Add gstreamer1.0-gtk3 and gstreamer1.0-pipewire
  * Remove no longer needed gnome pkgs

  [ Michael Webster ]
  * Exit the program if the window is closed.
  * Sync our new mintupdate timer flags at the end of the upgrade.
  * Fix mintupgrade-inhibit-power inhibiting mintupgrade from exiting.

  [ Clement Lefebvre ]
  * Skip some checks if we already point to the destination release (#24)

  [ Michael Webster ]
  * Make sure the automation flags directory exits.
  * Populate supported editions.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 05 Aug 2022 15:46:59 +0200

mintupgrade (2022.05.05.2) elsie; urgency=medium

  * Fix missing import

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 05 May 2022 16:23:06 +0100

mintupgrade (2022.05.05.1) elsie; urgency=medium

  * Adapt to the different kernel meta names in Ubuntu/Debian and 32 vs 64bit
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 05 May 2022 16:18:46 +0100

mintupgrade (2022.05.05) elsie; urgency=medium

  [ Clement Lefebvre ]
  * Make final terminal output a little bit clearer.
  * Add a dependency on acpi
  * Final phase: Clean APT cache
  * Remove usrmerge

  [ Michael Webster ]
  * Log the upgrade to a file.
  * Make the logfile deletable by the user.
  * Add a timestamp to the logfiles, forward output to real stdout instead of printing, to preserve console formatting.
  * Handle logging/stdout in byte mode, this seems to prevent the stairstep effect in the terminal.

  [ Clement Lefebvre ]
  * Add linux-generic in additions
  * Depend on system adjustment package

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 05 May 2022 12:05:19 +0100

mintupgrade (2022.04.17) elsie; urgency=medium

  * Preserve localedef locales in LMDE
  * Add translations
  * UI: Wrap welcome message label

 -- Clement Lefebvre <clem@macbook>  Sun, 17 Apr 2022 10:48:01 +0100

mintupgrade (2022.04.15) elsie; urgency=medium

  [ Clement Lefebvre ]
  * Fix missing phase 3 info screen
  * Add gvfs-fuse
  * Remove pkexec and policy file

  [ Asier Iturralde Sarasola ]
  * Fix typo: explictly -> explicitly (#8)

  [ Clement Lefebvre ]
  * l10n: Update POT
  * Preserve APT conffiles by default

 -- Clement Lefebvre <clem@macbook>  Fri, 15 Apr 2022 16:59:09 +0100

mintupgrade (2022.04.14) elsie; urgency=medium

  [ Clement Lefebvre ]
  * Switch to English when calling commands
  * Fix session inhibitor
  * l10n: Update POT and msgids
  * Mint: Don't support any editions just yet.

  [ Michael Webster ]
  * mintupgrade-inhibit-power: Add xfce inhibitor.

  [ Clement Lefebvre ]
  * Remove brltty
  * Add missing packages
  * Add fuse3
  * Allow 3rd party repositories if their dist is "stable"
  * Remove desktop-base
  * Don't install recommends when adding packages
  * Fix plymouth theme
  * Fix foreign package detection
  * Fix kept packages list

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 14 Apr 2022 11:59:29 +0100

mintupgrade (1.0.1) elsie; urgency=medium

  * Run as root
  * Domain: Move from org.x to com.linuxmint
  * Domain: Move files to /usr/lib/linuxmint/mintupgrade and /usr/share/linuxmint/mintupgrade
  * Change icon
  * Start adding checks
  * Add checks override in preferences
  * Add a page to show after tests have completed.
  * Move constants to a separate file
  * Treat VersionCheck like other checks
  * Add a Timeshift check
  * Add APT checks
  * Let checks provide information and lists to be displayed in the UI
  * Let checks provide a fix action
  * Clean check state before runs
  * Fix icon in error page
  * Add a fix for timeshift
  * Add a fix for pkgs install/remove
  * UI: Don't prefer dark mode by default
  * Test: use sudo
  * Add some dependencies
  * Make checks.py executable
  * Change constants to simulate a Mint 21 upgrade
  * Don't run mintupdate as root.
  * same
  * Improve table lists
  * Small fixes
  * Add AptRepoCheck
  * Add APTForeignCheck
  * Fix test code running all the time
  * Fail if apt-get update fails
  * Add APTOrphanCheck
  * Remove ippusbxd prior to upgrade
  * Repos: Handle syntax change for Debian bullseye security
  * APT: Don't rely on --error-on=any, it doesn't exist in Debian buster.
  * Apt cache: handle exceptions on opening and creating the cache also
  * Fix typo
  * Provide constants for both LMDE and Mint
  * Add the ability to show info pages
  * Add a preference to skip orphans check
  * Increase HTTP connection timeout from 5s to 30s
  * Add more info, rephrase a few things..
  * Implement APT repos switch
  * Add support for separators and markups
  * UI info improvements
  * Add a check for upgrade simulation and free-space
  * Remove debug line
  * Add a check for held packages
  * Disable Ubuntu partner repository
  * Implement the download of packages
  * Hide menu item
  * Add upgrade code from mintupgrade
  * Remove sudo calls
  * Remove progress calls
  * Depend on crudini
  * Remove warn call
  * Add items to todo
  * Use non-interactive variables for all apt-get calls
  * Add missing dependency
  * Fix upgrade checks
  * Add mintupgrade-inhibit-power
  * Fix typo
  * Wrap print and system calls
  * Fix case when PACKAGE_ADDITIONS is empty
  * Fix typo
  * Don't consider mintupgrade itself an orphan
  * Try to fix the staircase effect output in terminal


=== debian/control ===
Source: mintupgrade
Section: gnome
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Rules-Requires-Root: no

Package: mintupgrade
Architecture: all
Depends: gir1.2-xapp-1.0 (>= 1.4),
         python3,
         python3-apt,
         python3-gi,
         python3-setproctitle,
         xapps-common,
         mintsources,
         mintupdate,
         acpi,
         crudini,
         debian-system-adjustments | ubuntu-system-adjustments,
         inxi,
         ${misc:Depends}
Description: Upgrade Tool
 Upgrade your Operating System to a new version.

## mintupgrade 2023.09.26

=== debian/changelog ===
mintupgrade (2023.09.26) faye; urgency=medium

  [ kinglike1337 ]
  * Fix for external apt repos with mint codenames (#40)
  * Rewrite https keyword used by apt-cacher-ng (#41)

  [ Clement Lefebvre ]
  * l10n: Update translations
  * l10n: Update files
  * l10n: Update POT

  [ rilysh ]
  * clean: remove all unused deps (#66)

  [ Benjamin Loison ]
  * Correct a typo in `po/mintupgrade-fr{, _CA}.po` (#64)

  [ Clement Lefebvre ]
  * LMDE: Update info for LMDE 6
  * Refuse deb822 sources
  * timeshift: Rephrase check page
  * orphans: Don't list kernel pkgs
  * Remove unused variable
  * orphans: Turn check into an INFO check
  * Remove now unused orphan management code
  * Fix orphan management
  * Remove obsolete special case
  * LMDE: Add non-free-firmware component to APT sources
  * Remove desktop-base and malcontent

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Sep 2023 14:11:40 +0100

## mintupgrade 2023.09.29.1

=== debian/changelog ===
mintupgrade (2023.09.29.1) faye; urgency=medium

  * Fix case where the main repository is unreachable.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 29 Sep 2023 17:23:49 +0100

mintupgrade (2023.09.29) faye; urgency=medium

  [ Michael Webster ]
  * Fix pre-upgrade orphan re-check.

  [ Butterfly ]
  * constants_lmde.py: fix typo (#75)

  [ Clement Lefebvre ]
  * LMDE: Remove /etc/lsb-release
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 29 Sep 2023 15:32:52 +0100

## mintupgrade 2024.01.11

=== debian/changelog ===
mintupgrade (2024.01.11) virginia; urgency=medium

  [ carlosmintfan ]
  * Minor fixes (#77)

  [ Clement Lefebvre ]
  * l10n: Update translations
  * l10n: Update files
  * ui: Remove copied leftover
  * checks: Remove obsolete special case
  * checks: Fix exception when additional size is negative

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 11 Jan 2024 14:17:34 +0000

mintupgrade (2023.10.24) faye; urgency=medium

  * New orphans: Don't remove dnscrypt-proxy

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 24 Oct 2023 14:31:43 +0100

## mintupgrade 2024.01.12

=== debian/changelog ===
mintupgrade (2024.01.12) virginia; urgency=medium

  * Foreign/orphans: Ignore mintupgrade

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 12 Jan 2024 16:27:20 +0000

## mintupgrade 2024.07.26.2

=== debian/changelog ===
mintupgrade (2024.07.26.2) wilma; urgency=medium

  * Set the application font to Sans.
  * Add .gitignore

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 26 Jul 2024 13:15:34 +0100

mintupgrade (2024.07.26.1) wilma; urgency=medium

  * constants: Fix wrong codename for Mint 21.3

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 26 Jul 2024 10:22:45 +0100

mintupgrade (2024.07.26) wilma; urgency=medium

  * l10n: Update files
  * l10n: Update translations
  * constants: Update info for Mint 22
  * constants: Move definition blocks
  * Don't remove pipewire-audio

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 26 Jul 2024 10:10:22 +0100

## mintupgrade 2024.07.27.1

=== debian/changelog ===
mintupgrade (2024.07.27.1) wilma; urgency=medium

  * Add celluloid, simple-scan, hypnotix

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 27 Jul 2024 13:31:17 +0100

mintupgrade (2024.07.27) wilma; urgency=medium

  * constants: Don't add touchegg
  * constants: Remove postfix

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 27 Jul 2024 09:50:29 +0100

## mintupgrade 2024.07.27.3

=== debian/changelog ===
mintupgrade (2024.07.27.3) wilma; urgency=medium

  * new orphans: Check if we're dealing with a t64 migration

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 27 Jul 2024 21:17:43 +0100

mintupgrade (2024.07.27.2) wilma; urgency=medium

  * Add hplip
  * Add nemo-preview (Cinnamon only)

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 27 Jul 2024 17:36:29 +0100

## mintupgrade 2024.12.05

=== debian/changelog ===
mintupgrade (2024.12.05) xia; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 05 Dec 2024 10:49:01 +0000

mintupgrade (2024.11.26) xia; urgency=medium

  * Switch to aptkit

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Nov 2024 10:19:41 +0000

## mintupgrade 2025.09.16

=== debian/changelog ===
mintupgrade (2025.09.16) gigi; urgency=medium

  * l10n: Update files
  * l10n: Update translations
  * Restrict upgrades to amd64
  * l10n: Update POT
  * lmde: Update constants

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 16 Sep 2025 12:34:00 +0100

## mintupgrade 2025.09.16.2

=== debian/changelog ===
mintupgrade (2025.09.16.2) gigi; urgency=medium

  * lmde: Update constants

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 16 Sep 2025 19:44:10 +0100

mintupgrade (2025.09.16.1) gigi; urgency=medium

  * lmde: Fix typo
  * lmde: Update constants

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 16 Sep 2025 18:03:29 +0100

## mintupgrade 2025.10.07

=== debian/changelog ===
mintupgrade (2025.10.07) gigi; urgency=medium

  * Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 07 Oct 2025 16:14:31 +0100

## mintupgrade 2025.10.11

=== debian/changelog ===
mintupgrade (2025.10.11) gigi; urgency=medium

  * Run postinst scripts

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 11 Oct 2025 16:52:39 +0100

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
          mintsources,
          mintupdate,
          acpi,
+         aptkit,
          crudini,
          debian-system-adjustments | ubuntu-system-adjustments,
          inxi,

## mintupgrade 2025.11.21

=== debian/changelog ===
mintupgrade (2025.11.21) zena; urgency=medium

  * Switch to XApp symbolic icons
  * Switch to XSI

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 21 Nov 2025 13:30:47 +0000
